<!DOCTYPE html>
<html lang="en">

<head>
   <style>
      table {
         font-family: arial, sans-serif;
         border-collapse: collapse;
         width: 100%;
         table-layout: fixed;
      }

      td,
      th {
         border: 1px solid #dddddd;
         text-align: left;
         padding: 8px;
      }
   </style>
   <meta charset="utf-8">
   <title>Steam Account Generator</title>
   <meta name="description" content="Generate Steam accounts for personal usage">
   <meta name="author" content="nullworks">
   <link rel="stylesheet" href="static/css/bootswatch.min.css">
   <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
   <meta name="Description"
      content="Online Steam Account Generator! Generate Steam accounts instantly! No registration required!">
   <meta name="keywords"
      content="Steam account generator, generate steam accounts, steam accounts, free steam accounts, generator steam, steam autoreg">
   <link href="static/favicon.ico" rel="icon" type="image/x-icon" />
   <script defer src="static/js/common.bundle.js"></script>
   <script defer src="static/js/index.js"></script>

   <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01"
         aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
         <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarColor01">
         <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
               <a class="nav-link" onclick="return changeurl()" href="/">Generator</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" onclick="return changeurl()" href="custom_gen.html">Custom Accounts</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" onclick="return changeurl()" href="https://email.cathook.club/sag-email.html">Email
                  Access</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" target="_blank" rel="noopener" href="/gitlab/issues">Gitlab Issues</a>
            </li>
            <li class="nav-item">
               <a class="nav-link py-0 d-flex align-items-center h-100" target="_blank" rel="noopener"
                  href="https://cathook.club/discord"><img src="static/discord.png" style="width: 2rem;" /></a>
            </li>
            <li class="nav-item">
               <a class="nav-link py-0 d-flex align-items-center h-100" target="_blank" rel="noopener"
                  href="https://t.me/sag_bot"><img src="static/telegram.png" style="width: 2rem;" /></a>
            </li>
            <li class="nav-item">
               <a class="nav-link py-0 d-flex align-items-center h-100" target="_blank"
                  href="https://patreon.com/steam_acc" rel="noopener">
                  <img src="https://i1.wp.com/spectraartspace.com/wp-content/uploads/2019/04/Become_a_patron_button.png"
                     style="height: 2.5rem;">
               </a>
            </li>
         </ul>
      </div>
   </nav>

   <script>
      window.addEventListener("load", function () {
         init();
      });
   </script>
</head>

<body>
   <div id="accgen_status" style="display: none;" class="alert alert-danger"> <strong id="accgen_status_msg">If you see
         this, it's a bug :)</strong>
   </div>
   <div class="container text-center" style="margin: auto;height: 50%;min-width: 200px; padding-top: 7%">
      <div id="electron_update" class="container text-center"
         style="margin: auto;height: 50%;min-width: 200px; padding-top: 7%;display: none;">
         <div class="alert alert-warning">
            <h4 class="alert-heading">Your electron app is out of date!</h4>
            <a target="_blank"
               href='https://gitlab.com/nullworks/accgen/accgen-electron-app/-/jobs/artifacts/master/browse/dist?job=build'>If
               the automatic update fails, download it here.</a>
            <br>
            <strong>The update is required to support a changed API.</strong>
            <br>
         </div>
      </div>
      <div id="addon_dl" class="container text-center"
         style="margin: auto;height: 50%;min-width: 200px; padding-top: 7%;display: none;">
         <div id="addon_download" class="alert alert-warning">
            <h4 class="alert-heading" id="addon_download_text">You don't have our addon yet!</h4>
            <h5><a id="ffaddon" href='#'>Download the SAG addon!</a>
            </h5>
            <strong>The addon is required in order to support steam's registration system.</strong>
            <br>
            <strong>
               <a
                  href='https://gitlab.com/nullworks/accgen/accgen-electron-app/-/jobs/artifacts/master/browse/dist?job=build'>
                  Alternatively, download the open source electron app with proxy support!</a>
            </strong>
         </div>
      </div>

      <div id="accgen_ui" style="color: rgb(205, 199, 188); text-align: center; padding-bottom: 3%">
         <!--Leave modal-->
         <div class="modal fade" id="exit_page_modal" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">Warning: You are about to cancel an in progress account generation!</h5>
                  </div>
                  <div class="modal-body">
                     <b>You are about to cancel an in progress account generation.<br>You will not keep any currently
                        generating accounts.</b>
                     <br><br>
                     <button type="button" class="btn btn-success" data-dismiss="modal">Stay</button>
                     <button id="exit_page_modal_graceful" type="button" class="btn btn-primary" onclick="save_domain()"
                        data-dismiss="modal">Stop
                        generation gracefully</button>
                     <button id="exit_page_modal_exit" type="button" class="btn btn-danger" onclick="save_domain()"
                        data-dismiss="modal">Leave
                        anyway</button>
                  </div>
               </div>
            </div>
         </div>

         <!--Preferences modal-->
         <div class="modal fade" id="settings_popup">
            <div class="modal-dialog">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">Settings</h5>
                     <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span
                           aria-hidden="true">&times;</span>
                     </button>
                  </div>
                  <div class="modal-body">
                     <div class="card border-dark mb-3" style="max-width: 33rem;margin:auto;">
                        <div class="card-body">
                           <form id="settings_form" action="#">
                              <h6 id="acc_steam_guard" class="card-text custom-control custom-checkbox">
                                 <input type="checkbox" class="custom-control-input" id="settings_disable_steamguard"
                                    checked>
                                 <label class="custom-control-label" for="settings_disable_steamguard">Automatically
                                    disable Steam Guard</label>
                              </h6><br>
                              <h6 id="acc_apps_setting" class="card-text">
                                 <div class="alert alert-success">Detected <span>0</span>/5 apps</div>
                                 Free SubIDs to automatically add (Comma separated): <input type="text"
                                    id="settings_appids" class="form-control" value="303386" placeholder="303386,111111,99999"
                                    autocomplete="off" maxlength="1024"></input><br>
                                 <button type="button" onclick="settings_help('f2pgames')"
                                    class="btn btn-primary btn-lg">F2P games guide</button>
                              </h6><br>
                              <h6 class="card-text">
                                 <button type="button" class="btn btn-primary btn-lg"
                                    onclick="selectEmailServicePressed()">Select Email
                                    Provider</button>
                              </h6><br>
                              <h6 class="card-text">
                                 Captcha Key: <input type="text" id="settings_twocap" class="form-control"
                                    placeholder="Enter your Captcha key" autocomplete="off"><br>
                              </h6>
                              <h6 class="card-text">
                                 Captcha Host: <input type="text" id="settings_caphost" class="form-control"
                                    placeholder="Enter the Captcha host (Must match 2captcha's API)" autocomplete="off"
                                    value="https://2captcha.com"><br>
                              </h6>
                              <br>
                              <div>
                                 <label>Manual Captcha Method: </label>
                                 <select class="form-control" id="settings_captchamode">
                                    <option>Popup</option>
                                    <option>IFrame</option>
                                 </select>
                              </div>
                              <br>
                              <h6 class="card-text">
                                 Using Proxies:<br><button type="button"
                                    onclick="window.open('gitlab/wikis/How-to-use-proxies');"
                                    class="btn btn-primary btn-lg">Proxy setup guide</button><br>
                              </h6>
                           </form>
                        </div>
                     </div>
                  </div>
                  <div class="modal-footer">
                     <button type="button" class="btn btn-primary" onclick="save_clicked()" data-dismiss="modal">Save
                        changes</button>
                     <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  </div>
               </div>
            </div>
         </div>
         <!--End of preferences modal-->

         <!--Email service selection-->
         <div class="modal fade" id="email_service_modal" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">Email Service</h5>
                  </div>
                  <div class="modal-body">
                     <div class="row">
                        <div class="col">
                           <figure id="email_service_option_gmail" onclick="setUseGmail()">
                              <img class="img-thumbnail img-fluid rounded" src=""></img>
                              <figcaption><b>Gmail</b>
                                 <p>Fully automatically set up gmail forwarding of steam emails</p>
                              </figcaption>
                           </figure>
                        </div>
                        <div class="col">
                           <figure id="email_service_option_custom">
                              <img class="img-thumbnail rounded img-fluid" onclick="custom_domain_clicked();"
                                 src=""></img>
                              <figcaption><b>Custom domain</b><br>Add your own domain for full control
                              </figcaption>
                           </figure>
                        </div>
                        <div class=" col">
                           <figure id="email_service_option_accgen">
                              <img class="img-thumbnail rounded img-fluid" onclick="setUseAccgenMail()" src=""></img>
                              <figcaption><b>Accgen email service</b><br>May randomly cause the "captcha solved
                                 incorrectly" error
                              </figcaption>
                           </figure>
                        </div>
                     </div>
                     <div id="email_service_message" class="alert alert-warning" style="display: none">
                        <strong></strong>
                     </div>
                     <br>
                     <div id="email_service_progress" class="" style="display: none;">
                        <div class="progress">
                           <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar"
                              aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 100%"></div>
                        </div>
                     </div>
                     <div class="modal-footer">
                     </div>
                  </div>
               </div>
            </div>
         </div>

         <div class="modal fade" id="custom_domain_service_modal" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">Custom Domain Settings</h5>
                  </div>
                  <div class="modal-body">
                     Custom domain settings:
                     <input type="text" id="settings_custom_domain" class="form-control"
                        placeholder="Enter your custom domain or gmail address" autocomplete="off">
                     <br>
                     <button id="help_button" type="button" onclick="settings_help('mx')"
                        class="btn btn-primary btn-lg">Custom domain Help</button>
                     <br>
                     <div class="modal-footer">
                        <button type="button" class="btn btn-primary" onclick="save_domain()" data-dismiss="modal">Save
                           changes</button>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <!--End of email service selection-->

         <div class="alert alert-warning">We <b>do not</b> guarantee email access for generated accounts
            indefinitely.
         </div>
         <div id="electron_ad" class="alert alert-success">
            Check out our open source <b>electron app with proxy support</b> <a onclick="return changeurl()"
               href='https://gitlab.com/nullworks/accgen/accgen-electron-app/-/jobs/artifacts/master/browse/dist?job=build'>HERE!</a>
         </div>
         <br>
         <div id="saved_success" class="alert alert-dismissible alert-success" style="display: none">
            <strong>Your
               Settings have been saved successfully!</strong>
         </div>
         <br>
         <div id="generic_error" class="alert alert-danger" style="display: none">
            <strong></strong>
         </div>
         <div id="twocap_error" class="alert alert-warning" style="display: none"><strong></strong></div>
         <br>
         <h1 style=" color: white; padding-top: 3%">Steam Account Generator</h1>
         <br>
         <div id="generate_error" class="alert alert-danger" style="display: none;"> <strong>An error has
               occured:</strong>
            <div id="generate_error_text"></div>
            <h6 class="card-text">
               <button id="generate_error_emailprovider" type="button" class="btn btn-primary btn-lg"
                  onclick="selectEmailServicePressed()">Change Email Provider</button>
            </h6>
         </div>
         <div id="generated_data" style="display: none;">
            <div id="generated_card" class="card border-dark mb-3" style="max-width: 33rem;margin:auto">
               <div class="card-header">Account information</div>
               <div class="card-body">
                  <h6 id="acc_apps" class="card-text" style="display: none;">
                     <span>Successfully activated <strong>0/0</strong> apps</span>
                  </h6>
                  <h6 class="card-text">
                     Login: <a href="#"><strong><span id="details_username"
                              onclick="copyDetails('details_username'); return false">niceaccount</span></strong></a>
                  </h6>
                  <h6 class="card-text">
                     Password: <a href="#"><strong><span id="details_password"
                              onclick="copyDetails('details_password'); return false">nicepass</span></strong></a>
                  </h6>
                  <button id="electron_steam_signin" type="button" onclick="electronSteamSignIn()"
                     class="btn btn-primary btn-lg" style="display: none;">Sign in using Steam</button>
               </div>
            </div>
         </div>
         <!-- no. of accs, down after gen START -->
         <div class="modal fade" id="mass_generator">
            <div class="modal-dialog">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">Mass Generator</h5>
                     <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span
                           aria-hidden="true">&times;</span>
                     </button>
                  </div>
                  <div class="modal-body">
                     Base Settings:
                     <div class="card border-dark mb-3" style="max-width: 33rem;margin:auto;">
                        <div class="card-body">
                           <form action="#" _lpchecked="1" style="text-align: left;">
                              Number of accounts: <input value="1" type="number" id="mass_gen_count"
                                 style="border-radius: 25px; color: #C0C0C0; background-color: #17191a ;width: 3rem;text-align: center; float: right; margin-right:2rem"><br><br>
                              Concurrency (how many at once): <input value="1" type="number" id="mass_gen_concurrency"
                                 style="border-radius: 25px; color: #C0C0C0; background-color: #17191a ;width: 3rem;text-align: center; float: right; margin-right:2rem"><br><br>
                              Download Accounts after generation: <input type="checkbox" id="down_check"
                                 style="width: 1rem; height: 1rem; float: right; margin-right:3rem" checked=""><br>
                           </form>
                        </div>
                     </div>
                     <span id="proxy-settings" style="display: none">
                        <br>
                        Proxy Settings:
                        <div class="card border-dark mb-3" style="max-width: 33rem;margin:auto;">
                           <div class="card-body">
                              <button type="button" onclick="proxylist_edit()" class="btn btn-primary btn-lg">Edit
                                 proxies</button>
                              <br><br>
                              Use proxies: <span style="padding-left: 7rem;"><input type="checkbox" id="proxy_check"
                                    style="width: 1rem; height: 1rem" checked=""></span>
                           </div>
                        </div>
                     </span>
                  </div>
                  <div class="modal-footer">
                     <button type="button" class="btn btn-primary" onclick="mass_generate_clicked()"
                        data-dismiss="modal">Generate</button>
                     <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  </div>
               </div>
            </div>
         </div>
         <!-- END -->

         <!-- Proxy stuff -->
         <div class="modal fade" id="proxy_edit">
            <div class="modal-dialog modal-lg">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">Additional Proxy Configuration</h5>
                     <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span
                           aria-hidden="true">×</span>
                     </button>
                  </div>
                  <div class="modal-body">
                     <table id="proxy_datatable">
                        <thead>
                           <tr>
                              <th data-field="selected" data-checkbox="true"></th>
                              <th data-field="uri">URL</th>
                              <th data-field="type">TYPE</th>
                              <th data-field="status">STATUS</th>
                           </tr>
                        </thead>
                     </table>
                     <br>
                     <button type="button" class="btn btn-primary" onclick="proxylist_new()">Import</button>
                     <button type="button" class="btn btn-primary" onclick="proxylist_new_massdirect()">Import many
                        direct proxies</button>
                  </div>
                  <div class="modal-footer">
                     <button type="button" class="btn btn-danger" onclick="proxylist_save_deletes()">Delete
                        Selected</button>
                     <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  </div>
               </div>
            </div>
         </div>

         <div class="modal fade" id="proxy_new">
            <div class="modal-dialog modal-lg">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">Add single proxy</h5>
                     <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span
                           aria-hidden="true">×</span>
                     </button>
                  </div>
                  <div class="modal-body">
                     <div class="row">
                        <div class="col-sm-6">
                           <input type="text" id="proxy_new_uri" class="form-control"
                              placeholder="protocol://[user:password@]ip:port" autocomplete="off">
                        </div>
                        <div class="col-sm-6">
                           <select class="form-control" id="proxy_new_type" onchange="proxylist_new_on_type_change()">
                              <option>Direct</option>
                              <option>Backconnect/Rotating</option>
                           </select>
                        </div>
                     </div>
                     <br>
                     <div class="row">
                        <div class="col-sm-6"></div>
                        <div class="col-sm-6" id="proxy_new_rotatetime_span" style="display:none">
                           IP rotate time in seconds: <input value="300" type="number" id="proxy_new_rotatetime"
                              style="border-radius: 25px; color: #C0C0C0; background-color: #17191a ;width: 3rem;text-align: center; float: right; margin-right:2rem">
                        </div>
                     </div>
                  </div>
                  <div class="modal-footer">
                     <button type="button" class="btn btn-primary" data-dismiss="modal"
                        onclick="proxylist_new_save()">Save</button>
                     <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  </div>
               </div>
            </div>
         </div>

         <div class="modal fade" id="proxylist_massdirect">
            <div class="modal-dialog">
               <div class="modal-content">
                  <div class="modal-header">
                     <h5 class="modal-title">Proxy List</h5>
                     <button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span
                           aria-hidden="true">&times;</span>
                     </button>
                  </div>
                  <div class="modal-body">
                     <div id="proxy_list_div">
                        <h4>Enter your Proxies here</h4><br>
                        <textarea id="proxylist_massdirect_input" style=" width: 100%; height: 25rem; "
                           placeholder="Newline seperated list with the following format (use http instead of https!): http://[user:password@]ip:port, example: http://127.0.0.1:8080"></textarea>
                     </div>
                  </div>
                  <div class="modal-footer">
                     <button type="button" class="btn btn-primary" onclick="proxylist_new_massdirect_save()"
                        data-dismiss="modal">Import</button>
                     <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  </div>
               </div>
            </div>
         </div>
         <!-- End proxy stuff -->
         <div id="generation_status" style="display: none;">
            <div id="generation_status_card" class="card border-dark mb-3" style="margin:auto">
               <div class="card-header">Account generation Status</div>
               <div class="card-body">

                  <table>
                     <thead>
                        <tr>
                           <td style="width: 5%;">ID</td>
                           <td>Username</td>
                           <td style="width: 18%;">Password</td>
                           <td style="width: 35%;">Email</td>
                           <td>Status</td>
                        </tr>
                     </thead>
                     <tbody id="status_table">
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
         <div id="history_list" class="card border-dark mb-3" style="max-width: 33rem;margin:auto;display: none;">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th scope="col">Username</th>
                     <th scope="col">Password</th>
                  </tr>
               </thead>
               <tbody id="genned_accs"></tbody>
            </table>
            <button id="history_download_button" type="button" onclick="history_download_pressed()"
               class="btn btn-primary btn-lg">Download user:password list</button>
         </div>
         <div id="control_buttons">
            <button id="generate_button" type="button" onclick="generate_pressed();"
               class="btn btn-primary btn-lg">Generate</button>
            <button type="button" class="btn btn-primary btn-lg" onclick="settings_pressed();" data-toggle="modal"
               data-target="#settings_popup">Preferences</button>
            <button id="history_button" style="display:none" type="button" onclick="history_pressed();"
               class="btn btn-primary btn-lg">History</button>
         </div>
         <div id="steam_iframe" style="display: none;">
            <iframe id="steam_iframe_innerdiv" height="1000px" width="100%" scrolling="no" style="padding-top: 3rem;"
               frameborder="0" src="about:blank"></iframe>
         </div>
         <div id="generate_progress" style="display: none;">
            <h5>Please wait, generating...</h5>
            <div class="progress">
               <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="0"
                  aria-valuemin="0" aria-valuemax="100" style="width: 100%"></div>
            </div>
            <span id="generate_status">If you see this, its a bug!</span>
            <span id="generate_stop">
               <br>
               <button type="button" class="btn btn-primary btn-lg">Stop</button>
            </span>
         </div>
      </div>
   </div>
</body>

</html>
